Loading...
Searching...
No Matches
box.c File Reference

GRASS cairo display driver - draw box. More...

`#include "cairodriver.h"`
Include dependency graph for cairodriver/box.c:

Go to the source code of this file.

## Functions

void | Cairo_Box (double x1, double y1, double x2, double y2)
| Draw a (filled) rectangle.

## Detailed Description

GRASS cairo display driver - draw box.

(C) 2007-2008 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/box.c.

## Function Documentation

## Cairo_Box()

void Cairo_Box | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )

Draw a (filled) rectangle.

Parameters

  x1,y1,x2,y2 | rectangle coordinates

Definition at line 22 of file cairodriver/box.c.

References ca, cairo, and G_debug().

Referenced by Cairo_Driver().